Name:          lives
Version:       3.2.0
Release:       2mamba
Summary:       A video editor and VJ tool
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/salsaman/LiVES
Source0:       https://github.com/salsaman/LiVES.git/%{version}/LiVES-%{version}.tar.bz2
Source1:       %{name}-16.png
Source2:       %{name}-32.png
Source3:       %{name}-48.png
Patch0:        %{name}-2.0.3-desktop.patch
Patch1:        %{name}-0.9.9.1-plugins_destdir.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libavc1394-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdv-devel
BuildRequires: libe2fs-devel
BuildRequires: libfftw-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjack-devel
BuildRequires: libkrb5-devel
BuildRequires: libmjpegtools-devel
BuildRequires: libogg-devel
BuildRequires: liboil-devel
BuildRequires: libopencv-devel
BuildRequires: liborc-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libprojectM-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libraw1394-devel
BuildRequires: libschroedinger-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libtheora-devel
BuildRequires: libtirpc-devel
BuildRequires: libunicap-devel
BuildRequires: libvisual-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libaa-devel
BuildRequires: bison 
BuildRequires: ImageMagick 
BuildRequires: mjpegtools 
BuildRequires: libalsa-devel
BuildRequires: libslang-devel
BuildRequires: libmjpegtools-devel >= 2.2.1
Requires:      dvgrab
Requires:      youtube-dl
Requires:      mplayer
Requires:      mencoder
Requires:      libtheora-tools
Requires:      vorbis-tools
Requires:      ogmtools
Requires:      libmatroska
Requires:      dvgrab
Requires:      x264
Requires:      ffmpeg
Requires:      cdrkit
Requires:      liblame
Requires:      frei0r-plugins
# FIXME: missing requirements in distribution:
#Requires:      mkvtoolnix
#Requires:      libdv-bin
#BuildConflicts: libweed-devel

%description
LiVES is aimed at the digital video artist who wants to create their own content, the video editor who wants to produce professional looking video, and the VJ who wants to captivate with spectacular images.

%package -n liblives
Summary:       Base library used by %{name}
Group:         System/Libraries
Provides:      libweed
Obsoletes:     libweed < 3.2.0

%description -n liblives
LiVES is aimed at the digital video artist who wants to create their own content, the video editor who wants to produce professional looking video, and the VJ who wants to captivate with spectacular images.

%package -n liblives-devel
Summary:       Development files for libweed
Group:         Development/Libraries
Requires:      liblives = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libweed-devel
Obsoletes:     libweed-devel < 3.2.0

%description -n liblives-devel
LiVES is aimed at the digital video artist who wants to create their own content, the video editor who wants to produce professional looking video, and the VJ who wants to captivate with spectacular images.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n LiVES-%{version}
./autogen.sh

#%patch0 -p1
#perl -p -i -e 's|"/usr/local/"|&get_home_dir||g' smogrify
#sed -i "s|/sbin/ldconfig|/bin/true|" libweed/Makefile.in

%build
export CPPFLAGS="%{optflags} -I%{_includedir}/tirpc/"
export LDFLAGS="-ltirpc"

%configure
%make

#cd libweed

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

rm -fr %{buildroot}%{_docdir}/LiVES-%{version}

%find_lang lives

cp smogrify midistart midistop %{buildroot}%{_bindir}
cd %{buildroot}%{_datadir}/%{name}/themes
rm -fr `find -name '.xvpics'`
cd %{buildroot}%{_bindir}
rm -fr lives
ln -s lives-exe lives
rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

# icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{S:2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
sed -i "s|Icon=lives.png|Icon=lives.xpm|"  %{buildroot}%{_datadir}/applications/LiVES.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n liblives -p /sbin/ldconfig
%postun -n liblives -p /sbin/ldconfig

%files -f lives.lang
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/lives
%{_datadir}/lives/*
%{_datadir}/applications/LiVES.desktop
%{_datadir}/pixmaps/lives.xpm
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/lives.png
%{_datadir}/app-install/icons/lives.png

%files -n liblives
%defattr(-,root,root)
%{_libdir}/libweed*.so.*
%{_libdir}/libOSC*.so.*
%dir %{_libdir}/lives
%dir %{_libdir}/lives/plugins
%dir %{_libdir}/lives/plugins/effects
%dir %{_libdir}/lives/plugins/playback
%dir %{_libdir}/lives/plugins/effects/realtime
%dir %{_libdir}/lives/plugins/effects/realtime/weed
%{_libdir}/lives/plugins/effects/realtime/weed/*
%dir %{_libdir}/lives/plugins/effects/rendered
%{_libdir}/lives/plugins/effects/rendered/*
%dir %{_libdir}/lives/plugins/decoders
%{_libdir}/lives/plugins/decoders/*.la
%{_libdir}/lives/plugins/decoders/*.so
%dir %{_libdir}/lives/plugins/encoders
%{_libdir}/lives/plugins/encoders/encodedv_encoder
%{_libdir}/lives/plugins/encoders/ffmpeg_encoder
#%{_libdir}/lives/plugins/encoders/mencoder_encoder
%{_libdir}/lives/plugins/encoders/mjpegtools_encoder
%{_libdir}/lives/plugins/encoders/multi_encoder
%{_libdir}/lives/plugins/encoders/pdf_encoder
%{_libdir}/lives/plugins/encoders/qtutils_encoder
%{_libdir}/lives/plugins/encoders/sswf_encoder
#%{_libdir}/lives/plugins/encoders/transcode_encoder
%{_libdir}/lives/plugins/encoders/multi_encoder3
%{_libdir}/lives/plugins/encoders/x264_encoder
%dir %{_libdir}/lives/plugins/playback/video
%{_libdir}/lives/plugins/playback/video/*.la
%{_libdir}/lives/plugins/playback/video/*.so
%{_libdir}/lives/plugins/playback/audiostream/audiostreamer.pl
%doc AUTHORS

%files -n liblives-devel
%defattr(-,root,root)
%dir %{_includedir}/weed
%{_includedir}/weed/*.h
%{_libdir}/libweed*.a
%{_libdir}/libweed*.la
%{_libdir}/libweed*.so
%{_libdir}/libOSC*.a
%{_libdir}/libOSC*.la
%{_libdir}/libOSC*.so
%dir %{_datadir}/doc/lives
%{_datadir}/doc/lives/*
%{_libdir}/pkgconfig/libweed*.pc
#%doc BUGS C* FEATURES GETTING* NEWS README*
#%doc OMC/*.txt

%changelog
* Sat Jan 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.0-2mamba
- rebuilt with libmjpegtools 2.2.1

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.0-1mamba
- update to 3.2.0

* Thu Jan 08 2015 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- automatic update by autodist

* Fri Jul 11 2014 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic update by autodist

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic update by autodist

* Sat Mar 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- update to 2.2.2

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-2mamba
- rebuilt with pulseaudio 4.0

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-3mamba
- rebuilt with opencv 2.4.2 (devel-kde4)

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-2mamba
- rebuilt with mjpegtools 2.0.0

* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Wed Jun 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-2mamba
- added recommended requirements for external tools
- new packages: libweed and libweed-devel
- add buildconflicts libweed-devel to make sure it is not built if found in system

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Mon Jun 27 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Tue Jul 06 2010 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Sun May 09 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.3.3-1mamba
- automatic update by autodist

* Thu Dec 31 2009 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic update by autodist

* Fri Nov 20 2009 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic update by autodist

* Thu Oct 29 2009 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Fri Oct 23 2009 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Sun Jul 26 2009 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic update by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 0.9.9.9-2mamba
- automatic rebuild by autodist

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 0.9.9.9-1mamba
- automatic update by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 0.9.9.8-2mamba
- automatic rebuild by autodist

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 0.9.9.8-1mamba
- automatic update by autodist

* Tue Apr 21 2009 Automatic Build System <autodist@mambasoft.it> 0.9.9.7-1mamba
- automatic update by autodist

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9.6-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9.5-1mamba
- automatic update by autodist

* Fri Dec 12 2008 gil <puntogil@libero.it> 0.9.9.4-1mamba
- update to 0.9.9.4
- removed patch 1

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9.1-3mamba
- automatic rebuild by autodist

* Sun Jul 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9.1-2mamba
- added patch to correctly install realtime and rendered plugins
- added requirement for dvgrab

* Wed Jul 16 2008 gil <puntogil@libero.it> 0.9.9.1-1mamba
- update to 0.9.9.1
- added patch for %{_datadir}/applications/LiVES.desktop

* Sat Feb 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.2-1qilnx
- update to version 0.9.8.2 by autospec

* Tue Jun 28 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.9.1-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Sun Apr 3 2005 atteo Bernasconi <voyagernm@virgilio.it> 0.9.1-1qilnx
- first build
